Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		blueproximity
Version:	1.2
Release:	3
Summary:	Bluetooth Proximity Detector
URL:		http://blueproximity.sourceforge.net
Source: 	%{name}-%{version}.tar.gz
Patch1:		%{name}-distpath.diff
Group:		System/Security
License:	GPL
BuildArch:      noarch
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
BuildRequires:	ImageMagick
Requires:	bluez-utils python-configobj pybluez
Requires:	PyGTK

%description
BlueProximity helps you add a little more security to your desktop. It does so
by detecting one of your bluetooth devices, most likely your mobile phone, and
keeping track of its distance. If you move away from your computer and the
distance is above a certain level (no measurement in meters is possible) for a
given time, it automatically locks your desktop (or starts any other shell
command you want).


Authors:
--------
    Lars Friedrichs <larsfriedrichs@gmx.de>

%prep
%setup -q -n "%{name}-%{version}"
%patch1

%build

%install
%__install -Dm 0644 "%{_builddir}/%{name}-%{version}/proximity.py"  \
	"%{buildroot}%{_bindir}/proximity.py"
%__install -Dm 0755 "%{_builddir}/%{name}-%{version}/start_proximity.sh"  \
	"%{buildroot}%{_bindir}/start_proximity.sh"

%__install -dm 0755 "%{buildroot}%{_datadir}/%{name}"
%__install -Dm 0644 "%{_builddir}/%{name}-%{version}"/%{name}_*.svg  \
	"%{buildroot}%{_datadir}/%{name}"/

%__install -Dm 0644 "%{_builddir}/%{name}-%{version}/proximity.glade"  \
	"%{buildroot}%{_datadir}/%{name}/proximity.glade"
%__install -Dm 0644 "%{_builddir}/%{name}-%{version}/proximity.gladep"  \
	"%{buildroot}%{_datadir}/%{name}/proximity.gladep"

%__install -Dm 0644 "%{_builddir}/%{name}-%{version}/LANG/de/LC_MESSAGES/%{name}.mo"  \
	"%{buildroot}%{_datadir}/%{name}/LANG/de/LC_MESSAGES/%{name}.mo"
%__install -Dm 0644 "%{_builddir}/%{name}-%{version}/LANG/en/LC_MESSAGES/%{name}.mo"  \
	"%{buildroot}%{_datadir}/%{name}/LANG/en/LC_MESSAGES/%{name}.mo"
%__install -Dm 0644 "%{_builddir}/%{name}-%{version}/LANG/es/LC_MESSAGES/%{name}.mo"  \
	"%{buildroot}%{_datadir}/%{name}/LANG/es/LC_MESSAGES/%{name}.mo"
%__install -Dm 0644 "%{_builddir}/%{name}-%{version}/LANG/fa/LC_MESSAGES/%{name}.mo"  \
	"%{buildroot}%{_datadir}/%{name}/LANG/fa/LC_MESSAGES/%{name}.mo"
%__install -Dm 0644 "%{_builddir}/%{name}-%{version}/LANG/fr/LC_MESSAGES/%{name}.mo"  \
	"%{buildroot}%{_datadir}/%{name}/LANG/fr/LC_MESSAGES/%{name}.mo"
%__install -Dm 0644 "%{_builddir}/%{name}-%{version}/LANG/sv/LC_MESSAGES/%{name}.mo"  \
	"%{buildroot}%{_datadir}/%{name}/LANG/sv/LC_MESSAGES/%{name}.mo"

%__install -dm 0755 %{buildroot}%{_datadir}/pixmaps
convert %{name}_base.svg -resize 48x48! \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

%__mv %{_builddir}/%{name}-%{version}/doc %{_builddir}/%{name}-%{version}/html

%__install -dm 0755 "%{buildroot}%{_datadir}/applications"
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=start_proximity.sh
Name=BlueProximity
Comment=Bluetooth Proximity Detector
GenericName=Bluetooth Proximity Detector
Icon=%{name}.png
Terminal=false
Categories=Application;System
StartupNotify=true
EOF

find %{buildroot} -type f -o -type l | sed "s|^%{buildroot}||" >master.list

%clean
%__rm -rf "%{buildroot}"

%files -f master.list
%defattr(-,root,root)
%doc CHANGELOG.txt README.txt html

%changelog
* Wed Oct 17 2007 Christian Metzen <metzench@ccux-linux.de> 1.2-3
- modified categorie in desktop file
* Wed Oct 17 2007 Christian Metzen <metzench@ccux-linux.de> 1.2-2
- modified categorie in desktop file
* Wed Oct 17 2007 Christian Metzen <metzench@ccux-linux.de> 1.2-1
- Initial release
